Page MenuHomePhabricator

Weekly report of GSoC 2017 Project : Adding Custom features while upgrading and updating Quiz extension
Closed, ResolvedPublic

Description

Weekly reports will be updated here.

WeekWork DoneBlogDue Date
Week 1Blog has been setup, connected with mentor on Zulip, Created a reporting task for my project at Phabricator, Imported 2 bugs to phabricator T165398, T165387 and read documentation while understanding codebase.Blog(May 18th, 2017)
Week 2Imported all bugs from wikipage (4 bugs:T166446, T166441, T166439, T166444), Started learning regex as parser heavily relies on regular expressions, Submitted patches for 2 bugs to T165398, T161318, Read code of Quiz.hooks.php, Quiz.class.php and Question.php extensionBlog(May 25th, 2017)
Week 3Archived to do list from Wiki page, Imported suggestions, features and Bugs from Quiz Talk page.Merged T165398 that improves CSS of Quiz.Imported following - T166931, T166932, T166927, T166926, T166930Blog(June 1st, 2017)
Week 4Closed Following tasks by discussing with mentor and organization - T166444, T166932, T166441, T166446, T159604. Submitted patches for T162803, T166926, T159952. Merged T162803 which adds feature of supressing question number in quiz.Discussed with mentor about upgrading version, possibility of new color scheme and feedback modification.Blog(June 8th, 2017)
Week 5Submitted patches for :T167587, T167588, T166926, T146392, T167642, T166439, T161317.Merged T161318.The bug moves static HTML code from inside the class of extension to mustache templates.It uses Mediawiki's template parser for processing templates.This bug is significant to removing legacy code and improving the extension.Merged T167587.This bug is a follow-up bug to ensure that all variables that are being sent to template processor are defined.Merged T167588.The bug removes escaped character in Answer.mustache template.Merged T166926.The extension uses (i) parameter for case-sensitive answers.Earlier the (i) was being shown inside the correction drop down.This bug removes the (i) parameter from the correction.Closed respective tasks for which the bugs have been merged.Possibility of new color scheme and feedback modification are still being discussed and are not confirmed.Blog(June 15th, 2017)
Week 6Changes made to T146392 and T161317.Merged T166439 which enables numeric input type questions to evaluate zero as valid input which was earlier not evaluated.Wrote documentation about {X}, {!X} and {/X} tags used in shuffle control on Wikiversity.Edited documentation of shuffle feature (English and French).Started learning PhpUnit for writing testsBlog(June 22nd, 2017)
Week 7Merged T146392 which hides the shuffle button if there are less than 2 questions.Updated documentation of shuffle feature on other language pages of Wikiversity.Merged Regression bugs T169529 and T170035.Merged T161317, which moves Static HTML Code of settings table to mustache templates.There is no other section of static HTML code in quiz extension.Submitted multiple patchsets having Unit tests providing code coverage for Question.php (T159691)Blog(July 6th, 2017)
Week 8Merged T159691.This patch adds the relevant tests for the extension using phpunit.Marks the milestone for this month.It would ensure the code to be more reliable and better.Submitted change for T170733.This patch is to remove BadMethodCallException when creating quiz with no answer and zero.Tests are also added for reliability.Discussed on the possibility and various implementation techniques to provide custom and flexible CSS.Discussed on pros and cons of having data storage feature and its impact.Submitted experimental patch for Flexible Css. which adds class attribute to quiz which can be further scaled to provide many features.The status of the feature is still now decided yet.(T148624)Blog(July 13th, 2017)
Week 9Merged T167635.Shuffle control features are exotic features which were added but wasn't documented.Earlier the documentation was added but this patch adds the required tests for {X}, {!X} and {/X} tags.Merged T170733.It removes BadMethodCallException when creating quiz with no answer and zero.Tests will ensure that it won't cause such Exception in future.Merged T170035.This patch simply adds missing right section that was missing in the settings template.Blog(July 20th, 2017)
Week 10Submitted patch for T170852.This patch is the first for the custom CSS feature.It adds enumeration class to numbers displayed with the question in a quiz.Common.css can be used to override the style.Submitted patch for T159952.This is a old feature request, earlier a patch was submitted to change the way feedback was shown (Only for attempted question) but it wasn't flexible.The new patch adds CSS class to non-attempted questions using similar backend logic and Common.css can be used to show or hide such feedback.Submitted patch for T171154.A patch for bug that causes extra cell inside the table settings.This also adds tests that took lot of time.Blog(July 27th, 2017)
Week 11Merged T171154 It resolves the bug that causes extra cell inside the table settings.This also adds tests for reliability. Submitted patchset for T146370.This patchset resolves merge conflicts and adds required tests for the patch. Submitted patch for T170800.A patch for adding answers class to proposals.Initially this was supposed to be done using Common.css but now it will be done with additional parameter.Blog(August 3rd, 2017)
Week 12Merged T170798 . The patch reassigns the numbers to shuffled questions by adding new function called shuffleNumbering. Merged T172355. The patch adds missing class field that is being used in template/Answer.mustache. Resolved T170802. Resolved T172647. Updated documentation by removing invalid statement about bug. Resolved T172646.Blog(August 10th, 2017)
Week 13Merged T170081.Resolves the bug that causes wrapping of quiz text around images on large display screens.Merged T173304This patch fixes the CSS scheme for colouring in error class of quiz.Submitted patch for T165363 and T159952.Blog(August 17th, 2017)
Week 14Submitted patch for T148624.Merged T165363.This patch uses regex splitting for parseCategories to enable Interwiki and template links inside Categories.It is more like a feature which provides the use of Interwiki and template links inside Quiz Categories.Merged T159952.This patch adds feature of hiding unselected feedback by adding different classes.These are then hidden/shown using CSS.This feature provides fallback mechanism by using Common.css.Resolved T63844.Merged T170799.It Adds new feature that adds a quiz parameter called shuffleanswers.If set to true, it creates shuffled answers and uses request to persist once submitted.Blog(August 24th, 2017)
Week 15Submitted Final EvaluationBlog(September 7th, 2017)

Related Objects

StatusAssignedTask
Resolvedsrishakatux
Resolvedsrishakatux
ResolvedNone
ResolvedHarjotsingh
ResolvedHarjotsingh
ResolvedHarjotsingh
DeclinedHarjotsingh
ResolvedHarjotsingh
ResolvedHarjotsingh
DeclinedHarjotsingh
DeclinedHarjotsingh
DeclinedHarjotsingh
ResolvedHarjotsingh
ResolvedNone
OpenNone
DeclinedHarjotsingh
ResolvedHarjotsingh
InvalidHarjotsingh
InvalidNone
OpenNone

Event Timeline

Harjotsingh updated the task description. (Show Details)May 16 2017, 8:05 PM
Harjotsingh updated the task description. (Show Details)May 31 2017, 5:11 AM
Mvolz triaged this task as Normal priority.Jun 1 2017, 8:56 AM
Harjotsingh updated the task description. (Show Details)Jun 6 2017, 1:18 PM
Harjotsingh updated the task description. (Show Details)
Harjotsingh updated the task description. (Show Details)Jun 6 2017, 2:11 PM
Harjotsingh updated the task description. (Show Details)Jun 6 2017, 3:23 PM
Harjotsingh updated the task description. (Show Details)Jun 16 2017, 2:55 PM
Harjotsingh updated the task description. (Show Details)Jun 25 2017, 10:30 PM
Sumit added a comment.Jun 27 2017, 6:24 AM

Hi @Harjotsingh please keep your weekly reports updated.

Harjotsingh updated the task description. (Show Details)Jun 29 2017, 11:10 AM
Harjotsingh updated the task description. (Show Details)Jul 9 2017, 4:56 AM
Harjotsingh updated the task description. (Show Details)
Harjotsingh updated the task description. (Show Details)Jul 9 2017, 5:54 AM
Harjotsingh updated the task description. (Show Details)Jul 9 2017, 6:18 AM
Harjotsingh updated the task description. (Show Details)
Harjotsingh updated the task description. (Show Details)Jul 16 2017, 3:23 PM
Harjotsingh updated the task description. (Show Details)Jul 16 2017, 3:59 PM
TerraCodes updated the task description. (Show Details)Jul 17 2017, 12:50 AM
Harjotsingh renamed this task from Weekly report of GSoC 2017 Project : Adding Data storage feature and upgrading Quiz extension to Weekly report of GSoC 2017 Project : Adding Custom CSS feature while upgrading and updating Quiz extension .Jul 23 2017, 3:40 PM
Harjotsingh updated the task description. (Show Details)Jul 30 2017, 6:06 AM
Harjotsingh updated the task description. (Show Details)Aug 9 2017, 3:33 PM
Harjotsingh updated the task description. (Show Details)Aug 9 2017, 3:35 PM
Harjotsingh updated the task description. (Show Details)Aug 25 2017, 6:38 PM
Restricted Application added a subscriber: jeblad. · View Herald TranscriptAug 25 2017, 6:38 PM
jeblad removed a subscriber: jeblad.Aug 25 2017, 10:07 PM
Harjotsingh renamed this task from Weekly report of GSoC 2017 Project : Adding Custom CSS feature while upgrading and updating Quiz extension to Weekly report of GSoC 2017 Project : Adding Custom features while upgrading and updating Quiz extension .Aug 27 2017, 12:57 PM
Harjotsingh updated the task description. (Show Details)Aug 27 2017, 1:33 PM
Harjotsingh updated the task description. (Show Details)
Harjotsingh updated the task description. (Show Details)Aug 27 2017, 2:26 PM
Harjotsingh updated the task description. (Show Details)Aug 28 2017, 4:48 AM
Harjotsingh updated the task description. (Show Details)Aug 29 2017, 11:26 AM
Harjotsingh updated the task description. (Show Details)
Harjotsingh updated the task description. (Show Details)Aug 29 2017, 12:56 PM
Harjotsingh updated the task description. (Show Details)

Hi! If there is not anything remaining in this task could you please resolve it?

srishakatux closed this task as Resolved.Sep 26 2017, 9:56 PM

I'm closing this task now, as I don't see anything remaining in this if you disagree, please feel free to re-open!